# Generated by Django 5.0.6 on 2024-07-03 14:27

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('intent', '0007_alter_intentreport_table'),
    ]

    operations = [
        migrations.AddField(
            model_name='context',
            name='expectation_target',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='target_contexts', to='intent.expectationtarget'),
        ),
        migrations.AlterField(
            model_name='expectationobject',
            name='object_type',
            field=models.CharField(choices=[('RAN_SUBNETWORK', 'RAN_SUBNETWORK'), ('EDGE_SERVICE_SUPPORT', 'EDGE_SERVICE_SUPPORT'), ('5GC_SUBNETWORK', '5GC_SUBNETWORK'), ('NEMO_WORKLOAD', 'NEMO_WORKLOAD'), ('5G_SLICE_FLOW', '5G_SLICE_FLOW')], default='NEMO_WORKLOAD', help_text='It describes the expectation object type which can be supported by a specific intent handling function of MnS producer. ', max_length=20),
        ),
        migrations.AlterField(
            model_name='intentexpectation',
            name='expectation_verb',
            field=models.CharField(choices=[('DELIVER', 'DELIVER'), ('ENSURE', 'ENSURE'), ('CREATE', 'CREATE')], db_index=True, default='DELIVER', max_length=7),
        ),
    ]
